Name:		php-oojs-oojs-ui
Version:	0.43.2
Release:	%mkrel 2
Summary:	Object-Oriented JavaScript – User Interface
Group:          Development/PHP

License:	MIT
URL:		https://www.mediawiki.org/wiki/OOjs_UI
# Wikimedia changed server software and now doesn't support downloads
# https://phabricator.wikimedia.org/T111887
Source0:	https://github.com/wikimedia/oojs-ui/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

#BuildRequires:  php-phpunit-PHPUnit
BuildRequires:  php-theseer-autoload

Requires:	php-json
Requires:	php-pcre

Provides:	php-composer(oojs/oojs-ui) = %{version}

%description
OOjs UI (Object-Oriented JavaScript – User Interface) is a library that allows
developers to rapidly create front-end web applications that operate
consistently across a multitude of browsers.


%prep
%setup -q -n oojs-ui-%{version}


%build
# dirty hack since autoloader isn't working
sed -i '5i require "/usr/share/php/OOUI/mixins/AccessKeyedElement.php";' php/widgets/InputWidget.php
phpab --output php/autoload.php php


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/OOUI
cp -rp php/* %{buildroot}%{_datadir}/php/OOUI


%files
%license LICENSE-MIT
%doc AUTHORS.txt History.md README.md
%{_datadir}/php/OOUI




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.43.2-2.mga10
+ Revision: 2214543
- Mageia 10 Mass Rebuild

* Tue Apr 19 2022 mokraemer <mokraemer> 0.43.2-1.mga9
+ Revision: 1851887
- new version 0.43.2

* Fri Dec 25 2020 neoclust <neoclust> 0.41.0-1.mga8
+ Revision: 1663757
- New version 0.41.0

* Wed Jun 24 2020 daviddavid <daviddavid> 0.34.1-1.mga8
+ Revision: 1599013
- new version: 0.34.1

* Sun Feb 16 2020 umeabot <umeabot> 0.31.3-2.mga8
+ Revision: 1534276
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 daviddavid <daviddavid> 0.31.3-1.mga8
+ Revision: 1448825
- new version: 0.31.3

* Sat Jul 20 2019 daviddavid <daviddavid> 0.29.2-1.mga8
+ Revision: 1423083
- new version: 0.29.2

* Wed Sep 19 2018 umeabot <umeabot> 0.17.10-3.mga7
+ Revision: 1273014
- Mageia 7 Mass Rebuild

* Wed Apr 19 2017 neoclust <neoclust> 0.17.10-2.mga6
+ Revision: 1096788
- Fix requires
- imported package php-oojs-oojs-ui


* Fri Feb 24 2017 Michael Cronenworth <mike@cchtml.com> - 0.17.10-1
- version update
- tests were removed by upstream

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 26 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.11.6-2
- Drop the non-ascii character in the summary field

* Thu Jun 25 2015 Michael Cronenworth <mike@cchtml.com> - 0.11.6-1
- Initial package

